Skip to main content
GET
/
api
/
v1
/
securities
Fetch Reference Data
curl --request GET \
  --url 'https://api.finvera.news/search/api/v1/securities?apikey='
import requests

url = "https://api.finvera.news/search/api/v1/securities?apikey="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.finvera.news/search/api/v1/securities?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "facet_counts": [],
    "found": 1,
    "hits": [
      {
        "document": {
          "classification.gics": "Information Technology/Technology Hardware & Equipment/Technology Hardware, Storage & Peripherals/Technology Hardware, Storage & Peripherals",
          "classification.gics_code": "45202030",
          "classification.market_sector": "Equity",
          "classification.security_description": "AAPL",
          "classification.security_type": "Common Stock",
          "classification.security_type2": "Common Stock",
          "classification.sic_code": "3571",
          "classification.sic_description": "ELECTRONIC COMPUTERS",
          "company_info.address.address1": "ONE APPLE PARK WAY",
          "company_info.address.city": "CUPERTINO",
          "company_info.address.postal_code": "95014",
          "company_info.address.state": "CA",
          "company_info.description": "Apple is among the largest companies in the world, with a broad portfolio of hardware and software products targeted at consumers and businesses.",
          "company_info.homepage_url": "https://www.apple.com",
          "company_info.list_date": "1980-12-12",
          "company_info.phone_number": "(408) 996-1010",
          "company_info.total_employees": 164000,
          "created_at": "2025-04-06T04:35:40.413507Z",
          "exchange_info.exchange_country": "USA",
          "exchange_info.exchange_name": "NASDAQ Global Select Consolidated",
          "exchange_info.mic_code": "XNAS",
          "exchange_info.openfigi_exchange_code": "US",
          "exchange_info.openfigi_ticker": "AAPL",
          "exchange_info.refinitiv_exchange_code": "NSQ",
          "exchange_info.refinitiv_exchange_name": "NASDAQ Global Select Consolidated",
          "financials.market_cap": 3327840000000,
          "financials.round_lot": 100,
          "financials.share_class_shares_outstanding": 15022070000,
          "financials.weighted_shares_outstanding": 15022073000,
          "id": "BBG000B9XRY4_XNAS",
          "identifiers.cik": "0000320193",
          "identifiers.cusip": "037833100",
          "identifiers.figi": "BBG000B9XRY4",
          "identifiers.figi_composite": "BBG000B9XRY4",
          "identifiers.figi_share_class": "BBG001S5N8V8",
          "identifiers.isin": "US0378331005",
          "identifiers.opol": "XNAS",
          "identifiers.permid": "55838974642",
          "identifiers.ric": "AAPL.O",
          "isin_history": null,
          "name": "APPLE INC",
          "status": "ACTIVE",
          "symbol": "AAPL",
          "ticker_meta.active": true,
          "ticker_meta.currency_name": "usd",
          "ticker_meta.last_updated_utc": "2025-03-26T00:00:00Z",
          "ticker_meta.locale": "us",
          "ticker_meta.market": "stocks",
          "ticker_meta.primary_exchange": "XNAS",
          "ticker_meta.ticker": "AAPL",
          "ticker_meta.ticker_root": "AAPL",
          "ticker_meta.type": "CS",
          "updated_at": "2025-04-06T04:35:40.413507Z"
        },
        "highlight": {},
        "highlights": []
      }
    ],
    "out_of": 4368670,
    "page": 1,
    "request_params": {
      "collection_name": "securities_overview",
      "per_page": 100,
      "q": "*"
    },
    "search_cutoff": false,
    "search_time_ms": 9
  },
  "message": "success"
}
{
  "data": {
    "facet_counts": [],
    "found": 1,
    "hits": [
      {
        "document": {
          "classification.gics": "Information Technology/Technology Hardware & Equipment/Technology Hardware, Storage & Peripherals/Technology Hardware, Storage & Peripherals",
          "classification.gics_code": "45202030",
          "classification.market_sector": "Equity",
          "classification.security_description": "AAPL",
          "classification.security_type": "Common Stock",
          "classification.security_type2": "Common Stock",
          "classification.sic_code": "3571",
          "classification.sic_description": "ELECTRONIC COMPUTERS",
          "company_info.address.address1": "ONE APPLE PARK WAY",
          "company_info.address.city": "CUPERTINO",
          "company_info.address.postal_code": "95014",
          "company_info.address.state": "CA",
          "company_info.description": "Apple is among the largest companies in the world, with a broad portfolio of hardware and software products targeted at consumers and businesses.",
          "company_info.homepage_url": "https://www.apple.com",
          "company_info.list_date": "1980-12-12",
          "company_info.phone_number": "(408) 996-1010",
          "company_info.total_employees": 164000,
          "created_at": "2025-04-06T04:35:40.413507Z",
          "exchange_info.exchange_country": "USA",
          "exchange_info.exchange_name": "NASDAQ Global Select Consolidated",
          "exchange_info.mic_code": "XNAS",
          "exchange_info.openfigi_exchange_code": "US",
          "exchange_info.openfigi_ticker": "AAPL",
          "exchange_info.refinitiv_exchange_code": "NSQ",
          "exchange_info.refinitiv_exchange_name": "NASDAQ Global Select Consolidated",
          "financials.market_cap": 3327840000000,
          "financials.round_lot": 100,
          "financials.share_class_shares_outstanding": 15022070000,
          "financials.weighted_shares_outstanding": 15022073000,
          "id": "BBG000B9XRY4_XNAS",
          "identifiers.cik": "0000320193",
          "identifiers.cusip": "037833100",
          "identifiers.figi": "BBG000B9XRY4",
          "identifiers.figi_composite": "BBG000B9XRY4",
          "identifiers.figi_share_class": "BBG001S5N8V8",
          "identifiers.isin": "US0378331005",
          "identifiers.opol": "XNAS",
          "identifiers.permid": "55838974642",
          "identifiers.ric": "AAPL.O",
          "isin_history": null,
          "name": "APPLE INC",
          "status": "ACTIVE",
          "symbol": "AAPL",
          "ticker_meta.active": true,
          "ticker_meta.currency_name": "usd",
          "ticker_meta.last_updated_utc": "2025-03-26T00:00:00Z",
          "ticker_meta.locale": "us",
          "ticker_meta.market": "stocks",
          "ticker_meta.primary_exchange": "XNAS",
          "ticker_meta.ticker": "AAPL",
          "ticker_meta.ticker_root": "AAPL",
          "ticker_meta.type": "CS",
          "updated_at": "2025-04-06T04:35:40.413507Z"
        },
        "highlight": {},
        "highlights": []
      }
    ],
    "out_of": 4368670,
    "page": 1,
    "request_params": {
      "collection_name": "securities_overview",
      "per_page": 100,
      "q": "*"
    },
    "search_cutoff": false,
    "search_time_ms": 9
  },
  "message": "success"
}

Authorizations

apikey
string
query
required

Query Parameters

Search query (e.g., symbol)

search_type
enum<string>
required

Type of search (e.g., symbol)

Available options:
symbol,
identifiers.figi,
identifiers.figi_composite,
identifiers.figi_share_class,
identifiers.isin,
identifiers.opol,
identifiers.cusip,
identifiers.cik,
exchange_info.mic_code,
exchange_info.exchange_country,
classification.gics_code

Response

Successful response

error
string | null

Error message if the request fails

message
string

Status message

data
object